--- /dev/null
+diff -urN -x config.cache -x config.h -x config.log -x config.status -x '*.la' -x '*.lai' -x Makefile -x libtool gtk-canvas-0.1.1.orig/configure gtk-canvas-0.1.1/configure
+--- gtk-canvas-0.1.1.orig/configure 2002-11-18 02:14:51.000000000 -0800
++++ gtk-canvas-0.1.1/configure 2006-01-07 21:52:23.000000000 -0800
+@@ -2177,7 +2177,7 @@
+ # define a MAINT-like variable REBUILD which is set if Perl
+ # and awk are found, so autogenerated sources can be rebuilt
+
+-for ac_prog in gawk mawk nawk awk
++for ac_prog in mawk gawk nawk awk
+ do
+ # Extract the first word of "$ac_prog", so it can be a program name with args.
+ set dummy $ac_prog; ac_word=$2
+@@ -3915,7 +3915,7 @@
+ fi
+ done
+
+-for ac_hdr in stdlib.h unistd.h sys/stat.h sys/types.h
++for ac_hdr in unistd.h
+ do
+ ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
+ echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
+@@ -4047,24 +4047,11 @@
+ #include <fcntl.h>
+ #include <sys/mman.h>
+
+-#if HAVE_SYS_TYPES_H
+-# include <sys/types.h>
+-#endif
+-
+-#if HAVE_STDLIB_H
+-# include <stdlib.h>
+-#endif
+-
+-#if HAVE_SYS_STAT_H
+-# include <sys/stat.h>
+-#endif
+-
+-#if HAVE_UNISTD_H
+-# include <unistd.h>
+-#endif
+-
+ /* This mess was copied from the GNU getpagesize.h. */
+ #ifndef HAVE_GETPAGESIZE
++# ifdef HAVE_UNISTD_H
++# include <unistd.h>
++# endif
+
+ /* Assume that all systems that can run configure have sys/param.h. */
+ # ifndef HAVE_SYS_PARAM_H
+@@ -4172,7 +4159,7 @@
+ }
+
+ EOF
+-if { (eval echo configure:4176: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
++if { (eval echo configure:4163: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+ then
+ ac_cv_func_mmap_fixed_mapped=yes
+ else
+@@ -4195,12 +4182,12 @@
+ fi
+
+ echo $ac_n "checking for umode_t""... $ac_c" 1>&6
+-echo "configure:4199: checking for umode_t" >&5
++echo "configure:4186: checking for umode_t" >&5
+ if eval "test \"`echo '$''{'ac_cv_type_umode_t'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
+ else
+ cat > conftest.$ac_ext <<EOF
+-#line 4204 "configure"
++#line 4191 "configure"
+ #include "confdefs.h"
+ #include <sys/types.h>
+ #if STDC_HEADERS
+@@ -4269,7 +4256,7 @@
+ # Extract the first word of "imlib-config", so it can be a program name with args.
+ set dummy imlib-config; ac_word=$2
+ echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
+-echo "configure:4273: checking for $ac_word" >&5
++echo "configure:4260: checking for $ac_word" >&5
+ if eval "test \"`echo '$''{'ac_cv_path_IMLIB_CONFIG'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
+ else
+@@ -4304,7 +4291,7 @@
+
+ min_imlib_version=1.9
+ echo $ac_n "checking for IMLIB - version >= $min_imlib_version""... $ac_c" 1>&6
+-echo "configure:4308: checking for IMLIB - version >= $min_imlib_version" >&5
++echo "configure:4295: checking for IMLIB - version >= $min_imlib_version" >&5
+ no_imlib=""
+ if test "$IMLIB_CONFIG" = "no" ; then
+ no_imlib=yes
+@@ -4326,7 +4313,7 @@
+ echo $ac_n "cross compiling; assumed OK... $ac_c"
+ else
+ cat > conftest.$ac_ext <<EOF
+-#line 4330 "configure"
++#line 4317 "configure"
+ #include "confdefs.h"
+
+ #include <stdio.h>
+@@ -4366,7 +4353,7 @@
+
+
+ EOF
+-if { (eval echo configure:4370: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
++if { (eval echo configure:4357: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+ then
+ :
+ else
+@@ -4400,7 +4387,7 @@
+ CFLAGS="$CFLAGS $GDK_IMLIB_CFLAGS"
+ LIBS="$LIBS $GDK_IMLIB_LIBS"
+ cat > conftest.$ac_ext <<EOF
+-#line 4404 "configure"
++#line 4391 "configure"
+ #include "confdefs.h"
+
+ #include <stdio.h>
+@@ -4410,7 +4397,7 @@
+ return 0;
+ ; return 0; }
+ EOF
+-if { (eval echo configure:4414: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
++if { (eval echo configure:4401: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+ rm -rf conftest*
+ echo "*** The test program compiled, but did not run. This usually means"
+ echo "*** that the run-time linker is not finding IMLIB or finding the wrong"
+@@ -4479,7 +4466,7 @@
+ # Extract the first word of "imlib-config", so it can be a program name with args.
+ set dummy imlib-config; ac_word=$2
+ echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
+-echo "configure:4483: checking for $ac_word" >&5
++echo "configure:4470: checking for $ac_word" >&5
+ if eval "test \"`echo '$''{'ac_cv_path_IMLIB_CONFIG'+set}'`\" = set"; then
+ echo $ac_n "(cached) $ac_c" 1>&6
+ else
+@@ -4514,7 +4501,7 @@
+
+ min_imlib_version=1.8
+ echo $ac_n "checking for IMLIB - version >= $min_imlib_version""... $ac_c" 1>&6
+-echo "configure:4518: checking for IMLIB - version >= $min_imlib_version" >&5
++echo "configure:4505: checking for IMLIB - version >= $min_imlib_version" >&5
+ no_imlib=""
+ if test "$IMLIB_CONFIG" = "no" ; then
+ no_imlib=yes
+@@ -4536,7 +4523,7 @@
+ echo $ac_n "cross compiling; assumed OK... $ac_c"
+ else
+ cat > conftest.$ac_ext <<EOF
+-#line 4540 "configure"
++#line 4527 "configure"
+ #include "confdefs.h"
+
+ #include <stdio.h>
+@@ -4576,7 +4563,7 @@
+
+
+ EOF
+-if { (eval echo configure:4580: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
++if { (eval echo configure:4567: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+ then
+ :
+ else
+@@ -4612,7 +4599,7 @@
+ CFLAGS="$CFLAGS $GDK_IMLIB_CFLAGS"
+ LIBS="$LIBS $GDK_IMLIB_LIBS"
+ cat > conftest.$ac_ext <<EOF
+-#line 4616 "configure"
++#line 4603 "configure"
+ #include "confdefs.h"
+
+ #include <stdio.h>
+@@ -4622,7 +4609,7 @@
+ return 0;
+ ; return 0; }
+ EOF
+-if { (eval echo configure:4626: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
++if { (eval echo configure:4613: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+ rm -rf conftest*
+ echo "*** The test program compiled, but did not run. This usually means"
+ echo "*** that the run-time linker is not finding IMLIB or finding the wrong"
+@@ -4693,8 +4680,6 @@
+ COMPILE_TEST_GTK_CANVAS_FALSE=
+ fi
+
+-subdirs="libart_lgpl"
+-
+
+
+
+@@ -4902,7 +4887,6 @@
+ s%@GDK_IMLIB_LIBS@%$GDK_IMLIB_LIBS%g
+ s%@COMPILE_TEST_GTK_CANVAS_TRUE@%$COMPILE_TEST_GTK_CANVAS_TRUE%g
+ s%@COMPILE_TEST_GTK_CANVAS_FALSE@%$COMPILE_TEST_GTK_CANVAS_FALSE%g
+-s%@subdirs@%$subdirs%g
+ s%@GTK_CANVAS_LIBS@%$GTK_CANVAS_LIBS%g
+ s%@GTK_CANVAS_LIBDIR@%$GTK_CANVAS_LIBDIR%g
+ s%@GTK_CANVAS_INCLUDEDIR@%$GTK_CANVAS_INCLUDEDIR%g
+@@ -5132,100 +5116,3 @@
+ rm -fr confdefs* $ac_clean_files
+ test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
+
+-if test "$no_recursion" != yes; then
+-
+- # Remove --cache-file and --srcdir arguments so they do not pile up.
+- ac_sub_configure_args=
+- ac_prev=
+- for ac_arg in $ac_configure_args; do
+- if test -n "$ac_prev"; then
+- ac_prev=
+- continue
+- fi
+- case "$ac_arg" in
+- -cache-file | --cache-file | --cache-fil | --cache-fi \
+- | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
+- ac_prev=cache_file ;;
+- -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
+- | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
+- ;;
+- -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
+- ac_prev=srcdir ;;
+- -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
+- ;;
+- *) ac_sub_configure_args="$ac_sub_configure_args $ac_arg" ;;
+- esac
+- done
+-
+- for ac_config_dir in libart_lgpl; do
+-
+- # Do not complain, so a configure script can configure whichever
+- # parts of a large source tree are present.
+- if test ! -d $srcdir/$ac_config_dir; then
+- continue
+- fi
+-
+- echo configuring in $ac_config_dir
+-
+- case "$srcdir" in
+- .) ;;
+- *)
+- if test -d ./$ac_config_dir || mkdir ./$ac_config_dir; then :;
+- else
+- { echo "configure: error: can not create `pwd`/$ac_config_dir" 1>&2; exit 1; }
+- fi
+- ;;
+- esac
+-
+- ac_popdir=`pwd`
+- cd $ac_config_dir
+-
+- # A "../" for each directory in /$ac_config_dir.
+- ac_dots=`echo $ac_config_dir|sed -e 's%^\./%%' -e 's%[^/]$%&/%' -e 's%[^/]*/%../%g'`
+-
+- case "$srcdir" in
+- .) # No --srcdir option. We are building in place.
+- ac_sub_srcdir=$srcdir ;;
+- /*) # Absolute path.
+- ac_sub_srcdir=$srcdir/$ac_config_dir ;;
+- *) # Relative path.
+- ac_sub_srcdir=$ac_dots$srcdir/$ac_config_dir ;;
+- esac
+-
+- # Check for guested configure; otherwise get Cygnus style configure.
+- if test -f $ac_sub_srcdir/configure; then
+- ac_sub_configure=$ac_sub_srcdir/configure
+- elif test -f $ac_sub_srcdir/configure.in; then
+- ac_sub_configure=$ac_configure
+- else
+- echo "configure: warning: no configuration information is in $ac_config_dir" 1>&2
+- ac_sub_configure=
+- fi
+-
+- # The recursion is here.
+- if test -n "$ac_sub_configure"; then
+-
+- # Make the cache file name correct relative to the subdirectory.
+- case "$cache_file" in
+- /*) ac_sub_cache_file=$cache_file ;;
+- *) # Relative path.
+- ac_sub_cache_file="$ac_dots$cache_file" ;;
+- esac
+- case "$ac_given_INSTALL" in
+- [/$]*) INSTALL="$ac_given_INSTALL" ;;
+- *) INSTALL="$ac_dots$ac_given_INSTALL" ;;
+- esac
+-
+- echo "running ${CONFIG_SHELL-/bin/sh} $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir"
+- # The eval makes quoting arguments work.
+- if eval ${CONFIG_SHELL-/bin/sh} $ac_sub_configure $ac_sub_configure_args --cache-file=$ac_sub_cache_file --srcdir=$ac_sub_srcdir
+- then :
+- else
+- { echo "configure: error: $ac_sub_configure failed for $ac_config_dir" 1>&2; exit 1; }
+- fi
+- fi
+-
+- cd $ac_popdir
+- done
+-fi
+-
+diff -urN -x config.cache -x config.h -x config.log -x config.status -x '*.la' -x '*.lai' -x Makefile -x libtool gtk-canvas-0.1.1.orig/configure.in gtk-canvas-0.1.1/configure.in
+--- gtk-canvas-0.1.1.orig/configure.in 2002-11-18 02:09:42.000000000 -0800
++++ gtk-canvas-0.1.1/configure.in 2006-01-07 21:52:17.000000000 -0800
+@@ -229,7 +229,6 @@
+ dnl
+ dnl LibART_LGPL
+ dnl
+-AC_CONFIG_SUBDIRS(libart_lgpl)
+
+
+ dnl
+diff -urN -x config.cache -x config.h -x config.log -x config.status -x '*.la' -x '*.lai' -x Makefile -x libtool gtk-canvas-0.1.1.orig/Makefile.in gtk-canvas-0.1.1/Makefile.in
+--- gtk-canvas-0.1.1.orig/Makefile.in 2002-11-18 02:29:44.000000000 -0800
++++ gtk-canvas-0.1.1/Makefile.in 2006-01-07 21:51:18.000000000 -0800
+@@ -141,8 +141,7 @@
+ @COMPILE_TEST_GTK_CANVAS_TRUE@test_gtk_canvas = @COMPILE_TEST_GTK_CANVAS_TRUE@test
+ @COMPILE_TEST_GTK_CANVAS_FALSE@test_gtk_canvas =
+
+-SUBDIRS = libart_lgpl \
+- gtk-canvas\
++SUBDIRS = gtk-canvas\
+ test
+
+
+diff -urN -x config.cache -x config.h -x config.log -x config.status -x '*.la' -x '*.lai' -x Makefile -x libtool gtk-canvas-0.1.1.orig/test/Makefile.in gtk-canvas-0.1.1/test/Makefile.in
+--- gtk-canvas-0.1.1.orig/test/Makefile.in 2002-11-18 02:29:47.000000000 -0800
++++ gtk-canvas-0.1.1/test/Makefile.in 2006-01-07 21:56:11.000000000 -0800
+@@ -158,7 +158,7 @@
+
+ test_gtkcanvas_LDADD = \
+ $(top_builddir)/gtk-canvas/libgtk-canvas.la \
+- $(top_builddir)/libart_lgpl/libart_lgpl.la $(LIBGTK_CANVAS_LIBS)
++ -lart_lgpl $(LIBGTK_CANVAS_LIBS)
+
+ mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
+ CONFIG_HEADER = ../config.h
+@@ -173,8 +173,7 @@
+ test_gtkcanvas_OBJECTS = canvas.o canvas-primitives.o \
+ canvas-arrowhead.o canvas-features.o canvas-fifteen.o test-gtkcanvas.o
+ test_gtkcanvas_DEPENDENCIES = \
+-$(top_builddir)/gtk-canvas/libgtk-canvas.la \
+-$(top_builddir)/libart_lgpl/libart_lgpl.la
++$(top_builddir)/gtk-canvas/libgtk-canvas.la
+ test_gtkcanvas_LDFLAGS =
+ CFLAGS = @CFLAGS@
+ COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)